      SUBROUTINE MAIN
      LOGICAL*1 DIR(40)
      INTEGER MSIZE
      LOGICAL*1 MYMAIL(7)
      LOGICAL*1 MESSAG(38)
      DATA MYMAIL(1)/109/,MYMAIL(2)/121/,MYMAIL(3)/109/,MYMAIL(4)/97/,MY
     *MAIL(5)/105/,MYMAIL(6)/108/,MYMAIL(7)/0/
      DATA MESSAG(1)/89/,MESSAG(2)/111/,MESSAG(3)/117/,MESSAG(4)/32/,MES
     *SAG(5)/104/,MESSAG(6)/97/,MESSAG(7)/118/,MESSAG(8)/101/,MESSAG(9)/
     *32/,MESSAG(10)/109/,MESSAG(11)/97/,MESSAG(12)/105/,MESSAG(13)/108/
     *,MESSAG(14)/32/,MESSAG(15)/91/,MESSAG(16)/116/,MESSAG(17)/121/,MES
     *SAG(18)/112/,MESSAG(19)/101/,MESSAG(20)/32/,MESSAG(21)/96/,MESSAG(
     *22)/96/,MESSAG(23)/109/,MESSAG(24)/115/,MESSAG(25)/103/,MESSAG(26)
     */39/,MESSAG(27)/39/,MESSAG(28)/32/,MESSAG(29)/116/,MESSAG(30)/111/
     *,MESSAG(31)/32/,MESSAG(32)/114/,MESSAG(33)/101/,MESSAG(34)/97/,MES
     *SAG(35)/100/,MESSAG(36)/93/,MESSAG(37)/10/,MESSAG(38)/0/
      CALL QUERY(14Husage:  postmn)
      CALL HOMDIR(DIR, 6)
      CALL CONCAT(DIR, MYMAIL, DIR)
      IF (.NOT.(MSIZE(DIR) .GT. 1))GOTO 23000
      CALL PUTLIN(MESSAG, 2)
23000 CONTINUE
      RETURN
      END
      INTEGER FUNCTION MSIZE(FILE)
      LOGICAL*1 FILE
      LOGICAL*1 GETCH
      INTEGER N
      INTEGER INT
      INTEGER OPEN
      INT = OPEN(FILE, 1)
      IF (.NOT.(INT .EQ. -3))GOTO 23002
      MSIZE=(-3)
      RETURN
23002 CONTINUE
      N=0
23004 IF (.NOT.(GETCH(C, INT) .NE. -1))GOTO 23006
      IF (.NOT.(N .GT. 1))GOTO 23007
      GOTO 23006
23007 CONTINUE
23005 N=N+1
      GOTO 23004
23006 CONTINUE
      CALL CLOSE(INT)
      MSIZE=(N)
      RETURN
      END
